<!-- Dependency resources -->
<link rel="import" href="../bower_components/polymer/polymer-element.html">
<link rel="import" href="../bower_components/vaadin-ordered-layout/vaadin-vertical-layout.html">

<dom-module id="pw-menu-bar">
    <template>
        <style>
            .pw-menu-bar {
                position: relative;
                width: 65px;
            }
            .pw-menu-bar .logo-box {
                margin: 5px;
                margin-bottom: 35px;
            }
            .pw-menu-bar .logo-box .background-img {
                border-radius: 50%;
            }
            #pw-static-menu-bar {
                margin-bottom: 20px;
            }
        </style>
        <vaadin-vertial-layout height-full class="pw-menu-bar pw-menu-bar-custom">
            <div class="logo-box">
                <div class="background-img img"/>
            </div>
            <vaadin-vertical-layout height-full width-full id="dynamicMenuBar">
            </vaadin-vertical-layout>
            <vaadin-vertical-layout width-full id="staticMenuBar">
            </vaadin-vertical-layout>
        </vaadin-vertial-layout>
    </template>

    <script>
    class MenuBarTemplate extends Polymer.Element {
      static get is() {
        return 'pw-menu-bar';
      }
      ready() {
        super.ready();
      }
    }
    window.customElements.define(ModalMenu.is, ModalMenu);
    </script>
</dom-module>